Search documentation of tiger_stripe

# Stripe.Services.FileLinkService (tiger_stripe v0.1.1)

Copy Markdown View Source

FileLink

To share the contents of a `File` object with non-Stripe users, you can create a `FileLink`. `FileLink`s contain a URL that you can use to retrieve the contents of the file without authentication.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a file link

list(client, params \\ %{}, opts \\ [])

List all file links

retrieve(client, link, params \\ %{}, opts \\ [])

Retrieve a file link

update(client, link, params \\ %{}, opts \\ [])

Update a file link

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a file link

Creates a new file link object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all file links

Returns a list of file links.

# retrieve(client, link, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a file link

Retrieves the file link with the given ID.

# update(client, link, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a file link

Updates an existing file link object. Expired links can no longer be updated.